# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBI.pm) perl(Text/CSV_XS.pm)
# END SourceDeps(oneline)
%define module_version 0.05
%define module_name CGI-Listman
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Easily managing web subscribtion lists
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/H/HP/HPYHACKER/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
CGI::Listman provides an object-oriented interface to easily manage
web-based subscribtion lists. It implements concepts such as
"dictionaries", "selections", "exporters", provides some checking
facilities (field duplication or requirements) and uses the DBI interface
so as to provide a backend-independent storage area (PostgreSQL, ...).

The *CGI::Listman* class manages the listmanagers of your project. This
is the very first class you want to instantiate. It is the logical
central point of all others objects. Except for *CGI::Listman::line*,
*CGI::Listman::exporter* and *CGI::Listman::selection*, you should not
call any other class's "new" method since *CGI::Listman* will handle its
own instances for you.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ChangeLog README examples
%perl_vendor_privlib/C*

%changelog
* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

